SecurityInfo (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.microedition.io
Interface SecurityInfo

All Known Subinterfaces:
  TLSSecurityInfo

    @TransactionType(value=NOT_SUPPORTED)
    public interface SecurityInfo

This interface defines methods to access information about a secure network connection. Protocols that implement secure connections may use this interface to report the security parameters of the connection.

It provides the certificate, protocol, version, and cipher suite, etc. in use.

Since:
  MIDP 2.0, Java Card 3.0
See Also:
  `CertificateException`, `SecureConnection`, `HttpsConnection`

Method Summary
`String` | `getCipherSuite()` Returns the name of the cipher suite in use for the connection.
`String` | `getProtocolName()` Returns the secure protocol name.
`String` | `getProtocolVersion()` Returns the protocol version.
`Certificate` | `getServerCertificate()` Returns the `Certificate` used to establish the secure connection with the server.

Method Detail

### getServerCertificate

    Certificate getServerCertificate()

  Returns the `Certificate` used to establish the secure connection with the server.

  Returns:
    the `Certificate` used to establish the secure connection with the server.

### getProtocolVersion

    String getProtocolVersion()

  Returns the protocol version. If appropriate, it should contain the major and minor versions for the protocol separated with a "." (Unicode U+002E).

           For SSL V3 it MUST return "3.0"
           For TLS 1.0 it MUST return "3.1"
           For TLS 1.1 it MUST return "3.2"
           For TLS 1.2 it MUST return "3.3"
           For WTLS (WAP-199) it MUST return "1"
           For WAP TLS Profile and Tunneling Specification it MUST return "3.1"

  Returns:
    a String containing the version of the protocol; the return value MUST NOT be `null`.

### getProtocolName

    String getProtocolName()

  Returns the secure protocol name.

  Returns:
    a `String` containing the secure protocol identifier; if TLS (RFC 5246) or WAP TLS Profile and Tunneling (WAP-219-TLS) is used for the connection the return value is "TLS"; if SSL V3 (The SSL Protocol Version 3.0) is used for the connection; the return value is "SSL"); if WTLS (WAP 199) is used for the connection the return value is "WTLS".

### getCipherSuite

    String getCipherSuite()

  Returns the name of the cipher suite in use for the connection. The name returned is from the CipherSuite column of the CipherSuite definitions table in Appendix C of RFC 5246. If the cipher suite is not in Appendix C, the name returned is non-null and its contents are not specified. For non-TLS implementations the cipher suite name should be selected according to the actual key exchange, cipher, and hash combination used to establish the connection, so that regardless of whether the secure connection uses SSL V3 or TLS 1.0 or WTLS or WAP TLS Profile and Tunneling, equivalent cipher suites have the same name.

  Returns:
    a `String` containing the name of the cipher suite in use.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.